Closed Bug 1002780 Opened 6 years ago Closed 6 years ago

upload a new talos.zip to pick up all the fixes

Categories

(Release Engineering :: Release Automation: Other, defect)

ARM
Android
defect
Not set

Tracking

(firefox31+ fixed, firefox32 fixed)

RESOLVED FIXED
Tracking Status
firefox31 + fixed
firefox32 --- fixed

People

(Reporter: jmaher, Assigned: jmaher)

References

Details

Attachments

(1 file, 2 obsolete files)

we have a new talos.zip:
http://people.mozilla.org/~jmaher/taloszips/zips/talos.abff65130956.zip

shasum talos.abff65130956.zip 
45e6659f3fade7194d15a95bc42501e52560022f  talos.abff65130956.zip
Comment on attachment 8414063 [details] [diff] [review]
update talos.zip to pick up latest talos changes (1.0)

Beautiful. :)
Attachment #8414063 - Flags: review?(pmoore) → review+
[pmoore@cruncher.srv.releng.scl3 ~]$ curl -I http://talos-bundles.pvt.build.mozilla.org/zips/talos.abff65130956.zip
HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: web2.releng.webapp.scl3.mozilla.com
Content-Type: application/zip
Date: Mon, 28 Apr 2014 23:47:58 GMT
Accept-Ranges: bytes
ETag: "108055c"
Last-Modified: Mon, 28 Apr 2014 23:47:46 GMT
Content-Length: 17302876
Connection: Keep-Alive
X-Cache-Info: cached

[pmoore@cruncher.srv.releng.scl3 ~]$
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
sorry had to backout this change for https://tbpl.mozilla.org/php/getParsedLog.php?id=38702102&tree=Mozilla-Inbound
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
new one with bits fixed!
http://people.mozilla.org/~jmaher/taloszips/zips/talos.8d6fb3704417.zip

shasum talos.8d6fb3704417.zip 
f9cacda10bcab15b803504df9837ed85055fdeb8  talos.8d6fb3704417.zip
[jwood@cruncher.srv.releng.scl3 ~]$ scp ${TALOS_ZIP} relengwebadm.private.scl3.mozilla.com:/mnt/netapp/relengweb/talos-bundles/z
ips
talos.8d6fb3704417.zip                                                                         100%   17MB  16.5MB/s   00:00
[jwood@cruncher.srv.releng.scl3 ~]$ ssh relengwebadm.private.scl3.mozilla.com "chmod 644 /mnt/netapp/relengweb/talos-bundles/zip
s/${TALOS_ZIP}"
[jwood@cruncher.srv.releng.scl3 ~]$ ssh relengwebadm.private.scl3.mozilla.com "sha1sum /mnt/netapp/relengweb/talos-bundles/zips/
${TALOS_ZIP}"
f9cacda10bcab15b803504df9837ed85055fdeb8  /mnt/netapp/relengweb/talos-bundles/zips/talos.8d6fb3704417.zip
[jwood@cruncher.srv.releng.scl3 ~]$ curl -I http://talos-bundles.pvt.build.mozilla.org/zips/${TALOS_ZIP}
HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: web2.releng.webapp.scl3.mozilla.com
Content-Type: application/zip
Date: Tue, 29 Apr 2014 16:21:35 GMT
Accept-Ranges: bytes
ETag: "10806f7"
Last-Modified: Tue, 29 Apr 2014 16:21:33 GMT
X-Cache-Info: caching
Content-Length: 17303287
Status: REOPENED → RESOLVED
Closed: 6 years ago6 years ago
Resolution: --- → FIXED
Assignee: nobody → jmaher
Attachment #8414063 - Attachment is obsolete: true
Status: RESOLVED → REOPENED
Attachment #8414550 - Flags: review?(bugspam.Callek)
Resolution: FIXED → ---
Comment on attachment 8414550 [details] [diff] [review]
update talos the the latest revision (2.0)

Review of attachment 8414550 [details] [diff] [review]:
-----------------------------------------------------------------

r+ as long as it doesn't get backed out, if it does get backed out "it wasn't me"
Attachment #8414550 - Flags: review?(bugspam.Callek) → review+
Backed out for frequent talos failures per our discussion on IRC.
https://hg.mozilla.org/integration/mozilla-inbound/rev/98b31986efdf
3rd time is a charm!

please upload:
http://people.mozilla.org/~jmaher/taloszips/zips/talos.b4907f0b27d3.zip

to:
http://talos-bundles.pvt.build.mozilla.org/zips/talos.b4907f0b27d3.zip

and verify the shasum:
shasum talos.b4907f0b27d3.zip 
562462d29b65b758055218eabc6c664b68d70e55  talos.b4907f0b27d3.zip

The attached patch makes the changes to inbound!
Attachment #8414550 - Attachment is obsolete: true
Attachment #8415842 - Flags: review?(pmoore)
Comment on attachment 8415842 [details] [diff] [review]
upload a talos.zip (3.0)

Review of attachment 8415842 [details] [diff] [review]:
-----------------------------------------------------------------

Works for me. I can't validate the talos changes themselves, but the references to the digest looks consistent and correct.
Attachment #8415842 - Flags: review?(pmoore) → review+
Uploading now...
All good...

[pmoore@cruncher.srv.releng.scl3 ~]$ wget http://talos-bundles.pvt.build.mozilla.org/zips/talos.b4907f0b27d3.zip
--2014-05-01 12:09:18--  http://talos-bundles.pvt.build.mozilla.org/zips/talos.b4907f0b27d3.zip
Resolving talos-bundles.pvt.build.mozilla.org... 10.22.74.160
Connecting to talos-bundles.pvt.build.mozilla.org|10.22.74.160|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 17306360 (17M) [application/zip]
Saving to: `talos.b4907f0b27d3.zip.2'

100%[========================================================================================================================================>] 17,306,360  --.-K/s   in 0.1s    

2014-05-01 12:09:19 (119 MB/s) - `talos.b4907f0b27d3.zip.2' saved [17306360/17306360]

[pmoore@cruncher.srv.releng.scl3 ~]$ sha1sum talos.b4907f0b27d3.zip 
562462d29b65b758055218eabc6c664b68d70e55  talos.b4907f0b27d3.zip
[pmoore@cruncher.srv.releng.scl3 ~]$
(talos.b4907f0b27d3.zip.2 also has the same sha as talos.b4907f0b27d3.zip) ;)
https://hg.mozilla.org/mozilla-central/rev/23a646a9ec55
Status: REOPENED → RESOLVED
Closed: 6 years ago6 years ago
Resolution: --- → FIXED
I would like to uplift this to Aurora.  This fixes a common crash in PGO windows talos.  It also turns on a new test which we were ready to turn on prior to the uplift, but random bugs and delays got in the way.
OK for the uplift to 31. Pete, could you take care of that? Thanks
Flags: needinfo?(pmoore)
Pete's work here is done. Over to Joel for uplift
Flags: needinfo?(pmoore) → needinfo?(jmaher)
You need to log in before you can comment on or make changes to this bug.